# Uses of Enum Class
org.apache.lucene.sandbox.codecs.quantization.KMeans.KmeansInitializationMethod

Packages that use KMeans.KmeansInitializationMethod
Package
Description
org.apache.lucene.sandbox.codecs.quantization
This package implements KMeans algorithm for clustering vectors

- ## Uses of KMeans.KmeansInitializationMethod in org.apache.lucene.sandbox.codecs.quantization

  Methods in org.apache.lucene.sandbox.codecs.quantization that return KMeans.KmeansInitializationMethod
  Modifier and Type
  Method
  Description
  `static KMeans.KmeansInitializationMethod`
  KMeans.KmeansInitializationMethod.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static KMeans.KmeansInitializationMethod[]`
  KMeans.KmeansInitializationMethod.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.sandbox.codecs.quantization with parameters of type KMeans.KmeansInitializationMethod
  Modifier and Type
  Method
  Description
  `static KMeans.Results`
  KMeans.`cluster(FloatVectorValues vectors, int numClusters, boolean assignCentroidsToVectors, long seed, KMeans.KmeansInitializationMethod initializationMethod, boolean normalizeCenters, int restarts, int iters, int sampleSize)`
  Expert: Cluster vectors into a given number of clusters